require("plugins")
require("keybindings")
require("settings")
require("colorscheme")
require("lsp")

-- todo: move this to plugins.lua
require("telescope").setup{
	defaults = {
		prompt_prefix = "$ ",
		mappings = {
			i = {
				["C-a"] = function() print("asdf") end
			}
		}
	}
}

require("telescope").load_extension("fzf")
require("telescope").load_extension("file_browser")
require("telescope").load_extension("neoclip")
require('Comment').setup()
require('nvim-treesitter').setup({
  -- enable syntax highlighting
  highlight = {
    enable = true,
  },
  -- enable indentation
  indent = { enable = true },
  -- enable autotagging (w/ nvim-ts-autotag plugin)
  autotag = { enable = true },
  -- ensure these language parsers are installed
  ensure_installed = {
    "json",
    "yaml",
    "html",
    "css",
    "markdown",
    "bash",
    "lua",
    "vim",
    "dockerfile",
    "gitignore",
    "python",
  },
  -- auto install above language parsers
  auto_install = true,
})
